Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JTree.TreeSelectionRedirector

    java.lang.Object
      |
      +--javax.swing.JTree.TreeSelectionRedirector

All Implemented Interfaces:
  EventListener, Serializable, TreeSelectionListener

Enclosing class:
  JTree

protected class JTree.TreeSelectionRedirector
extends Object
implements Serializable, TreeSelectionListener

Handles creating a new `TreeSelectionEvent` with the `JTree` as the source and passing it off to all the listeners.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Constructor Summary
`protected` | `JTree.TreeSelectionRedirector()`

Method Summary
`void` | `valueChanged(TreeSelectionEvent e)` Invoked by the `TreeSelectionModel` when the selection changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTree.TreeSelectionRedirector

    protected JTree.TreeSelectionRedirector()

Method Detail

### valueChanged

    public void valueChanged(TreeSelectionEvent e)

  Invoked by the `TreeSelectionModel` when the selection changes.
  Specified by:
    `valueChanged` in interface `TreeSelectionListener`
  Parameters:
    `e` - the `TreeSelectionEvent` generated by the `TreeSelectionModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.